fcFilter-methods {xps} | R Documentation

## Fold-Change Filter

### Description

This method initializes the Fold-Change Filter.
The fold-change is determined by the mean value of group 2 divided by the mean value of group 1.
The Fold-Change Filter flags all rows with: `flag = (fc >= cutoff)`

Usage

`fcFilter(object)`
`fcFilter(object, value)<-`

### Arguments

`object` | object of class `UniFilter`.
`value` | numeric vector `c(cutoff, direction)`

### Details

The method `fcFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `direction`: | `direction="both"` (default): select up and downregulated genes.
|  | `direction="up"`: select upregulated genes only.
|  | `direction="down"`: select downregulated genes only.

### Value

An initialized `UniFilter` object.

### Author(s)

Christian Stratowa

### Examples

    unifltr <- UniFilter()
    fcFilter(unifltr) <- c(1.5,"both")
    str(unifltr)

[Package xps version 1.2.10 Index]